org.apache.solr.handler.component

## Enum StatsField.Stat

- java.lang.Object
- - java.lang.Enum<StatsField.Stat>
  - - org.apache.solr.handler.component.StatsField.Stat

- All Implemented Interfaces:
    Serializable, Comparable<StatsField.Stat>
  Enclosing class:
    StatsField

      public static enum StatsField.Stat
      extends Enum<StatsField.Stat>

  An enumeration representing the sumer set of all possible stat values that can be computed. Each of these enum values can be specified as a local param in a `stats.field` (eg: `stats.field={!min=true mean=true}my_field_name`) but not all enum values are valid for all field types (eg: `mean` is meaningless for String fields)
  WARNING: This API is experimental and might change in incompatible ways in the next release.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `cardinality`
    `count`
    `countDistinct`
    `distinctValues`
    `max`
    `mean`
    `min`
    `missing`
    `percentiles`
    `stddev`
    `sum`
    `sumOfSquares`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StatsField.Stat` | `forName(String paramKey)` Given a String, returns the corrisponding Stat enum value if any, otherwise returns null.
    `EnumSet<StatsField.Stat>` | `getDistribDeps()` The stats that must be computed and returned by each shard involved in a distributed request in order to compute the overall value for this stat across the entire distributed result set.
    `static StatsField.Stat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StatsField.Stat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### min

          public static final StatsField.Stat min

    - #### max

          public static final StatsField.Stat max

    - #### missing

          public static final StatsField.Stat missing

    - #### sum

          public static final StatsField.Stat sum

    - #### count

          public static final StatsField.Stat count

    - #### mean

          public static final StatsField.Stat mean

    - #### sumOfSquares

          public static final StatsField.Stat sumOfSquares

    - #### stddev

          public static final StatsField.Stat stddev

    - #### distinctValues

          public static final StatsField.Stat distinctValues

    - #### countDistinct

          public static final StatsField.Stat countDistinct

    - #### percentiles

          public static final StatsField.Stat percentiles

    - #### cardinality

          public static final StatsField.Stat cardinality

  - ### Method Detail

    - #### values

          public static StatsField.Stat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StatsField.Stat c : StatsField.Stat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StatsField.Stat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### forName

          public static StatsField.Stat forName(String paramKey)

      Given a String, returns the corrisponding Stat enum value if any, otherwise returns null.

    - #### getDistribDeps

          public EnumSet<StatsField.Stat> getDistribDeps()

      The stats that must be computed and returned by each shard involved in a distributed request in order to compute the overall value for this stat across the entire distributed result set. A Stat instance may include itself in the `getDistribDeps()` result, but that is not always the case.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.